{% extends 'app/base.html' %}

{% load widget_tweaks %}

{% block content %}
  <h1 class="mb-5 mt-5">Add new post</h1>
  <form method="post" enctype="multipart/form-data">
    {% csrf_token %}

    {% for hidden in form.hidden_fields %}
      {{ hidden }}
    {% endfor %}

    <div class="container">
      <div class="row">
        <div class="col-md-6">
          {% for field in form.visible_fields %}
            {% if field.label != "Text" %}
              <div class="form-group mt-3">
                <label for="{{ field.id_for_label }}">{{ field.label }}</label>
                {{ field|add_class:'form-control' }}
                {% for error in field.errors %}
                  <span class="help-block">{{ error }}</span>
                {% endfor %}
              </div>
            {% endif %}
          {% endfor %}

          <div class="form-group mt-4 mb-5">
            <button type="submit" class="btn custom-btn px-4 ">
              <span class="glyphicon glyphicon-ok"></span> Save
            </button>
            <a href="{% url 'home_path' %}" class="btn btn-default">Cancel</a>
          </div>
        </div>
        <div class="col-md-6">
          <div class="form-group mt-3">
            <label for="{{ form.text.id_for_label }}">{{ form.text.label }}</label>
            {{ form.text|add_class:'form-control' }}
            {% for error in form.text.errors %}
              <span class="help-block">{{ error }}</span>
            {% endfor %}
          </div>
        </div>
      </div>
    </div>
    

  </form>
{% endblock %}
